# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/
%global debug_package %{nil}


Name:		cfcgi
Version:	1.3.201908
Release:	1%{?dist}
Summary:	A fastcgi server for c++ developers.

License:	LGPL
URL:		http://cfcgi.zhanfang.art
Source0:	http://cfcgi.zhanfang.art/downloads/release/%{name}-%{version}.tar.gz

BuildRequires:	gcc >= 4.7
BuildRequires:	gcc-c++ >= 4.7
BuildRequires:	boost-devel >= 1.5
BuildRequires:  mariadb-devel >= 5.5.0
BuildRequires:  libstdc++-devel >= 4.7
BuildRequires:  libuuid-devel
BuildRequires:  openssl-devel
Requires:   libuuid
Requires:   mariadb
Requires:   boost
Requires:   openssl
Provides:   webserver
Group:      System Environment/Daemons
BuildArch:  x86_64

%description 
cfcgi is a fastcgi server which writed by c++, and it's used to load handlers which writed by c++ and compiled as a shared library.

%prep
%setup -q -n %{name}-%{version}


%build
export DESTDIR=%{buildroot}
./configure \
       --prefix=%{_datadir}/cfcgi \
       --bin-path=%{_bindir}/cfcgi \
       --conf-path=%{_sysconfdir} \
       --lib-path=%{_libdir}
if [ $? -ne 0 ]; then
    exit 1
fi
make %{?_smp_mflags}


%install
install -p -d -m 0755 %{buildroot}%{_bindir}
install -p -d -m 0755 %{buildroot}%{_sysconfdir}
install -p -d -m 0755 %{buildroot}%{_libdir}
install -p -d -m 0755 %{buildroot}%{_includedir}
install -p -d -m 0755 %{buildroot}%{_includedir}/cfcgi
install -p -d -m 0755 %{buildroot}%{_libdir}/pkgconfig

install -p -m 0755 ./cfcgi %{buildroot}%{_bindir}/
install -p -m 0644 ./conf/cfcgi.conf %{buildroot}%{_sysconfdir}/
install -p -m 0755 ./libcfcgi.so %{buildroot}%{_libdir}/
install -p -m 0644 ./src/lib/include/* %{buildroot}%{_includedir}/cfcgi/
install -p -m 0644 ./cfcgi.pc %{buildroot}%{_libdir}/pkgconfig/

%files
%doc
%license
%{_bindir}/cfcgi
%config(noreplace) %{_sysconfdir}/cfcgi.conf
%{_libdir}/libcfcgi.so
%{_includedir}/cfcgi/cfcgi_context.h
%{_includedir}/cfcgi/cfcgi_cookie.h
%{_includedir}/cfcgi/cfcgi_db.h
%{_includedir}/cfcgi/cfcgi_form_data.h
%{_includedir}/cfcgi/cfcgi_object.h
%{_includedir}/cfcgi/cfcgi_request.h
%{_includedir}/cfcgi/cfcgi_response.h
%{_includedir}/cfcgi/cfcgi_router.h
%{_includedir}/cfcgi/cfcgi_session.h
%{_includedir}/cfcgi/cfcgisock.h
%{_includedir}/cfcgi/cfcgi_user_handler.h
%{_includedir}/cfcgi/cfcgi_xml.h
%{_includedir}/cfcgi/fcgi_packet.h
%{_includedir}/cfcgi/simplelog.h
%{_includedir}/cfcgi/cfcgi_http_client.h
%{_libdir}/pkgconfig/cfcgi.pc


%changelog
* Mon Aug 05 2019 bloom<fjw201198@163.com> - 1:1.3.201908-1
- Add multi-thread support
- fixed log bug
- add support to boost::coroutines
- remove i386 arch
* Thu Jul 25 2019 bloom<fjw201198@163.com> - 1:1.2.201907-1
- Add http/https client support
* Thu Jul 04 2019 bloom<fjw201198@163.com> - 1:1.0.201906-1
- Add coroutine
- Add cookie
- Add context
- Add session
- Add router
- Add log
- Add mysql driver
